Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 736302 - dev-python/m2crypto-0.35.2 fails datetime and timeout tests
Summary: dev-python/m2crypto-0.35.2 fails datetime and timeout tests
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2020-08-07 20:56 UTC by Alexey
Modified: 2021-02-01 18:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (file_736302.txt,19.85 KB, text/plain)
2020-08-07 20:56 UTC, Alexey
Details
build.log (build.log,38.43 KB, text/plain)
2020-08-07 20:56 UTC, Alexey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey 2020-08-07 20:56:01 UTC
Created attachment 653670 [details]
emerge --info

AssertionError: '2020-08-07 01:38:29+00:00' != '2020-08-07 00:38:29+00:00'

FAIL: test_server_simple_timeouts (tests.test_ssl.MiscSSLClientTestCase)
AssertionError: 503333 != 500000 : 503333
Comment 1 Alexey 2020-08-07 20:56:34 UTC
Created attachment 653672 [details]
build.log
Comment 2 Rolf Eike Beer 2021-02-01 18:04:50 UTC
I see different ones on sparc:

FAIL: test_verify_cb_new (tests.test_ssl.MiscSSLClientTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 521, in test_verify_cb_new
    s.connect(self.srv_addr)
M2Crypto.SSL.SSLError: certificate verify failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 523, in test_verify_cb_new
    self.fail(e)
AssertionError: certificate verify failed

======================================================================
FAIL: test_verify_cb_new_class (tests.test_ssl.MiscSSLClientTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 538, in test_verify_cb_new_class
    s.connect(self.srv_addr)
M2Crypto.SSL.SSLError: certificate verify failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 541, in test_verify_cb_new_class
    self.fail(e)
AssertionError: certificate verify failed

======================================================================
FAIL: test_verify_cb_new_function (tests.test_ssl.MiscSSLClientTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 556, in test_verify_cb_new_function
    s.connect(self.srv_addr)
M2Crypto.SSL.SSLError: certificate verify failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 558, in test_verify_cb_new_function
    self.fail(e)
AssertionError: certificate verify failed

======================================================================
FAIL: test_verify_cb_old (tests.test_ssl.MiscSSLClientTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 646, in test_verify_cb_old
    s.connect(self.srv_addr)
M2Crypto.SSL.SSLError: certificate verify failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/m2crypto-0.37.1/work/M2Crypto-0.37.1/tests/test_ssl.py", line 648, in test_verify_cb_old
    self.fail(e)
AssertionError: certificate verify failed